Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063546 - [abrt] gnome-settings-daemon: g_hash_table_lookup_node(): gnome-settings-daemon killed by SIGSEGV
Summary: [abrt] gnome-settings-daemon: g_hash_table_lookup_node(): gnome-settings-daem...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:306fa837a0258f3a1a40d7cae51...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 01:03 UTC by Joe Doss
Modified: 2015-06-29 15:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:08:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: cgroup (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: core_backtrace (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: dso_list (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: environ (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: exploitable (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: limits (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: maps (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: open_fds (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: proc_pid_status (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details
File: var_log_messages (deleted)
2014-02-11 01:03 UTC, Joe Doss
no flags Details

Description Joe Doss 2014-02-11 01:03:13 UTC
Description of problem:
Crashed coming out of sleep. Reboot and this was present.

Version-Release number of selected component:
gnome-settings-daemon-3.10.2-3.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: g_hash_table_lookup_node
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_hash_table_lookup_node at ghash.c:382
 #1 g_hash_table_lookup at ghash.c:1076
 #2 get_string_header at gdbusmessage.c:2767
 #3 g_dbus_message_get_error_name at gdbusmessage.c:3083
 #4 g_dbus_message_to_gerror at gdbusmessage.c:3247
 #5 decode_method_reply at gdbusconnection.c:5403
 #6 g_dbus_connection_call_done at gdbusconnection.c:5478
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #8 complete_in_idle_cb at gsimpleasyncresult.c:789
 #13 gtk_main at gtkmain.c:1158

Comment 1 Joe Doss 2014-02-11 01:03:19 UTC
Created attachment 861631 [details]
File: backtrace

Comment 2 Joe Doss 2014-02-11 01:03:21 UTC
Created attachment 861632 [details]
File: cgroup

Comment 3 Joe Doss 2014-02-11 01:03:22 UTC
Created attachment 861633 [details]
File: core_backtrace

Comment 4 Joe Doss 2014-02-11 01:03:24 UTC
Created attachment 861634 [details]
File: dso_list

Comment 5 Joe Doss 2014-02-11 01:03:26 UTC
Created attachment 861635 [details]
File: environ

Comment 6 Joe Doss 2014-02-11 01:03:28 UTC
Created attachment 861636 [details]
File: exploitable

Comment 7 Joe Doss 2014-02-11 01:03:29 UTC
Created attachment 861637 [details]
File: limits

Comment 8 Joe Doss 2014-02-11 01:03:31 UTC
Created attachment 861638 [details]
File: maps

Comment 9 Joe Doss 2014-02-11 01:03:32 UTC
Created attachment 861639 [details]
File: open_fds

Comment 10 Joe Doss 2014-02-11 01:03:34 UTC
Created attachment 861640 [details]
File: proc_pid_status

Comment 11 Joe Doss 2014-02-11 01:03:36 UTC
Created attachment 861641 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:53:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 15:08:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.